fribidi_get_joining_type_name(3)

NAME
fribidi_get_joining_type_name - get joining type name

SYNOPSIS
#include <fribidi.h>

extern const char *fribidi_get_joining_type_name(FriBidiJoiningType j);

PARAMETERS

FriBidiJoiningType j
    Input joining type.

    Possible values for a FriBidiJoiningType are as follows:
    FRIBIDI_JOINING_TYPE_U
        NUn-joining, e.g. Full Stop.
    FRIBIDI_JOINING_TYPE_R
        Right-joining, e.g. Arabic Letter Dal.
    FRIBIDI_JOINING_TYPE_D
        Dual-joining, e.g. Arabic Letter Ain.
    FRIBIDI_JOINING_TYPE_C
        Join-Causing, e.g. Tatweel, ZWJ.
    FRIBIDI_JOINING_TYPE_T
        Transparent, e.g. Arabic Fatha.
    FRIBIDI_JOINING_TYPE_L
        Left-joining, i.e. Fictional.
    FRIBIDI_JOINING_TYPE_G
        IGnored, e.g. LRE, RLE, ZWNBSP.

DESCRIPTION
This function returns the joining type name of a joining type. The returned string is a static string and should not be freed.

The type names are the same as ones defined in Table 8-2 Primary Arabic Joining Classes of the Unicode standard available at http://www.unicode.org/versions/Unicode4.0.0/ch08.pdf#G7462.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)